Bug 1328934 - Build version 0.3.6
Summary: Build version 0.3.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-freezegun
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-20 16:01 UTC by Lubomír Sedlář
Modified: 2016-05-07 11:58 UTC (History)
3 users (show)

Fixed In Version: python-freezegun-0.3.6-1.fc23 python-freezegun-0.3.6-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-01 23:52:44 UTC


Attachments (Terms of Use)

Description Lubomír Sedlář 2016-04-20 16:01:34 UTC
Description of problem:
Fedora package has version 0.3.2, which is rather old and has a nasty bug that makes it not work in some situations.

https://github.com/spulec/freezegun/issues/123

Additional info:
Providing the new version not just for rawhide but also other branches would be nice.

Comment 1 Kevin Fenzi 2016-04-20 16:33:20 UTC
I've updated rawhide, but it sounds like from that issue that cffi needs an update too? 

Happy to push to other branches if you think it's safe/will do any good...

Comment 2 Lubomír Sedlář 2016-04-21 07:48:18 UTC
I run into the issue when running tests for compose-utils. I don't there is any dependency on cffi.

With the newer version in rawhide it works:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13736346
with 0.3.2 in F24 it does not:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13736378

I think pushing to other branches would be safe, based on the upstream changelog there are no backwards incompatible changes.

https://github.com/spulec/freezegun/blob/master/CHANGELOG

Comment 3 Kevin Fenzi 2016-04-22 21:35:34 UTC
ok. I am pushing f24/f23 builds now. f22 doesn't have long to live so I would prefer to leave it alone. 

Do you have any thoughts on epel7? It has a really old version in it... but it builds fine: https://koji.fedoraproject.org/koji/taskinfo?taskID=13766125

Comment 4 Fedora Update System 2016-04-22 22:04:34 UTC
python-freezegun-0.3.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87e3e20df7

Comment 5 Fedora Update System 2016-04-22 22:06:47 UTC
python-freezegun-0.3.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4d586c9863

Comment 6 Fedora Update System 2016-04-24 01:24:30 UTC
python-freezegun-0.3.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87e3e20df7

Comment 7 Fedora Update System 2016-04-24 06:22:53 UTC
python-freezegun-0.3.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4d586c9863

Comment 8 Fedora Update System 2016-05-01 23:52:42 UTC
python-freezegun-0.3.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-07 11:58:31 UTC
python-freezegun-0.3.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.